//Generated by wsdl2apex

public class RaM_salesforceComPm {
    public class DT_SFDC_TicketQuery {
        public RaM_salesforceComPm.CASE_element[] CASE_x;
        private String[] CASE_x_type_info = new String[]{'CASE','http://salesforce.com/PM',null,'0','-1','false'};
        private String[] apex_schema_type_info = new String[]{'http://salesforce.com/PM','false','false'};
        private String[] field_order_type_info = new String[]{'CASE_x'};
    }
    public class CASE_element {
        public String CaseNumber;
        public String LocationNumber_xc;
        private String[] CaseNumber_type_info = new String[]{'CaseNumber','http://salesforce.com/PM',null,'0','1','false'};
        private String[] LocationNumber_xc_type_info = new String[]{'LocationNumber__c','http://salesforce.com/PM',null,'0','1','false'};
        private String[] apex_schema_type_info = new String[]{'http://salesforce.com/PM','false','false'};
        private String[] field_order_type_info = new String[]{'CaseNumber','LocationNumber_xc'};
    }
    public class HTTPS_Port {
       // public String endpoint_x = 'https://vsid1ci1.huskyenergy.ca:51001/XISOAPAdapter/MessageServlet?senderParty=&senderService=SFDC&receiverParty=&receiverService=&interface=SI_SFDC_TicketQuery_OB&interfaceNamespace=http%3A%2F%2Fsalesforce.com%2FPM';
       //  public String endpoint_x = 'https://salesforce-dram-openticketspos-dev1.huskyenergy.com:8011/dir/wsdl?p=ic/ca5ab341a91b30b5ac8921f703379520';
       // RaM_Settings__c cSettings = RaM_Settings__c.getOrgDefaults(); cSettings.Salesforce_DRaM_OpenTicketsPos_F5_URL__c
        public String endpoint_x = Label.RaM_Salesforce_DRaM_OpenTicketsPos_F5_URL  + ':8011/XISOAPAdapter/MessageServlet?senderParty=&senderService=SFDC&receiverParty=&receiverService=&interface=SI_SFDC_TicketQuery_OB&interfaceNamespace=http%3A%2F%2Fsalesforce.com%2FPM';
        public Map<String,String> inputHttpHeaders_x;
        public Map<String,String> outputHttpHeaders_x;
        public String clientCertName_x;
        public String clientCert_x;
        public String clientCertPasswd_x;
        public Integer timeout_x;
        private String[] ns_map_type_info = new String[]{'http://salesforce.com/PM', 'RaM_salesforceComPm'};
        public RaM_salesforceComPm.CASE_element[] SI_SFDC_TicketQuery_OB(RaM_salesforceComPm.CASE_element[] CASE_x) {
            RaM_salesforceComPm.DT_SFDC_TicketQuery request_x = new RaM_salesforceComPm.DT_SFDC_TicketQuery();
            request_x.CASE_x = CASE_x;
            RaM_salesforceComPm.DT_SFDC_TicketQuery response_x;
             if (!Test.isRunningTest())  {
            Map<String, RaM_salesforceComPm.DT_SFDC_TicketQuery> response_map_x = new Map<String, RaM_salesforceComPm.DT_SFDC_TicketQuery>();
            response_map_x.put('response_x', response_x);
            
            WebServiceCallout.invoke( this, request_x,  response_map_x, new String[]{endpoint_x, 'http://sap.com/xi/WebService/soap1.1', 'http://salesforce.com/PM', 'MT_SFDC_TicketQuery', 'http://salesforce.com/PM', 'MT_SFDC_TicketQuery', 'RaM_salesforceComPm.DT_SFDC_TicketQuery'} );
            
             
            response_x = response_map_x.get('response_x');
            return response_x.CASE_x;
            }else{
            return null;
            }
        }
    }
}